import React from 'react';
import {View, Text, Dimensions, Image} from 'react-native';
import tw from 'tailwind-react-native-classnames';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function Header({icon, title, description, background}) {
  return (
    <View
      style={[
        tw.style('w-full flex flex-col items-center justify-end pb-3 relative mb-0'),
        {height: height / 4.5, backgroundColor: '#196EC015'},
      ]}>
      <Image source={background} style={[tw.style('absolute left-0 top-0'), {}]} />
      <Image source={icon} style={[{width : width / 5, height : height / 10, marginBottom : 10}]} />
      <Text
        style={[
          {fontSize: width / 18, color: '#196EC0'},
          tw.style('font-semibold mb-1'),
        ]}>
        {title}
      </Text>
      <Text
        style={[
          {color: '#86A0B9', fontSize: width / 30},
          tw.style('font-semibold mb-2'),
        ]}>
        {description}
      </Text>
    </View>
  );
}
