import React from 'react';
import {Pressable, Text, Dimensions} from 'react-native';
import tw from 'tailwind-react-native-classnames';

const fullWidth = Dimensions.get('window').width;

export default function Pressable1({
  title,
  backgroundColor,
  color,
  border,
  width,
}) {
  return (
    <Pressable
      style={[
        tw.style('rounded-md py-4 flex flex-row justify-center mb-3'),
        {
          backgroundColor: backgroundColor,
          borderWidth: border.width,
          borderColor: border.color,
          width : width,
        },
      ]}>
      <Text style={{fontSize: fullWidth / 27, color: color}}>{title}</Text>
    </Pressable>
  );
}
