import React from 'react';
import {View, Text, Dimensions, Image} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import leftIcon from '../assets/icons/leftWhite.png';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function Redirect({text}) {
  return (
    <View
      style={[
        tw.style('w-full flex flex-row-reverse items-center p-4 rounded-md mb-5'),
        {backgroundColor: '#196EC0'},
      ]}>
      <View style={tw.style('flex-1 flex flex-col')}>
        <Text
          style={[
            tw.style('font-medium text-right'),
            {fontSize: width / 30, color: 'white'},
          ]}>
          {text}
        </Text>
      </View>
      <View style={tw.style('p-0')}>
        <Image source={leftIcon} style={{width: 24, height: 24}} />
      </View>
    </View>
  );
}
