import React, {useState} from 'react';
import {View, Text, Dimensions, Image, Pressable} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import minusIcon from '../assets/-.png';
import plusIcon from '../assets/+.png';

const width = Dimensions.get('window').width;

function Instance(props) {
  const [active, setActive] = useState(false);
  return (
    <Pressable
      onPress={() => setActive(!active)}
      style={[
        tw.style('w-full flex flex-col my-1.5 rounded-md px-4 py-3'),
        {
          backgroundColor: !active ? '#F9F9F9' : '#F6F9FD',
          borderColor: !active ? '#DBDBDB' : '#196EC0',
          borderWidth: 1,
        },
      ]}>
      <View
        style={tw.style('flex flex-row-reverse justify-between items-center')}>
        <Text
          style={[
            {
              width: '90%',
              textAlign: 'right',
              color: '#196EC0',
              fontSize: width / 27,
            },
            tw.style('font-medium'),
          ]}>
          نحوه خرید از سایت چگونه است ؟
        </Text>
        <Image
          source={!active ? plusIcon : minusIcon}
          style={{width: 14, height: 30}}
        />
      </View>
      {active && (
        <View style={tw.style('w-full flex flex-row-reverse pt-2')}>
          <Text
            style={[
              {color: '#196EC0', fontSize: width / 30},
              tw.style('inline text-right flex-1'),
            ]}>
            هر نفسی که فرو می‌ بریم، مرگی را که مدام به ما دستاندازی می‌کند پس
            می‌زند... در نهایت این مرگ است که باید پیروز شود، زیرا از هنگام تولد
            بخشی از سرنوشت ما شده و فقط مدت کوتاهی پیش از بلعیدن طعمه اش، با آن
            بازی می کند. با این همه، ما تا آنجا که ممکن است، با علاقه فراوان و
            دلواپسی
          </Text>
        </View>
      )}
    </Pressable>
  );
}

export default Instance;
