import React, {useState} from 'react';
import {View, StyleSheet, Dimensions, ScrollView, Text} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import Header from '../../components/Header';
import Search from '../../components/Search';
import Instance from './components/Instance';
import bgFaq from './assets/bgFaq.png';

const width = Dimensions.get('window').width;

function Faq(props) {
  const [search, setSearch] = useState('');
  const onChange = (name, value) => {};

  return (
    <ScrollView
      contentContainerStyle={styles.contentContainerStyle}
      style={[tw.style('bg-white flex flex-col'), {width: width}]}>
      <Header
        background={bgFaq}
        title={'پرسش‌های متداول'}
        description={'تیم پشتیبانی ما اینجاست تا شما رو کمک کنه'}
        // icon={}
      />
      <View style={styles.container}>
        <Search
          value={search}
          onChange={setSearch}
          placeholder={'بخشی از پرسش خود را اینجا بنویسید'}
        />
        <View style={tw.style('mt-2 w-full')}>
        </View>
        {[0,1,2,3,4].map((item, index) => (
          <Instance key={index} />
        ))}
      </View>
    </ScrollView>
  );
}

// Later on in your styles..
const styles = StyleSheet.create({
  contentContainerStyle: {
    paddingBottom: 50,
    alignItems: 'flex-end',
  },
  container: {
    width: Dimensions.get('window').width,
    backgroundColor: 'white',
    flexDirection: 'column',
    paddingVertical: 5,
    paddingHorizontal: 10,
  },
});

export default Faq;
