import React from 'react';
import {View, Text, Dimensions, Image, TouchableOpacity} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import {connect} from 'react-redux';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function Box({
  borderColor,
  backgroundColor,
  title,
  text,
  icon,
  titleColor,
  textColor,
}) {
  return (
    <TouchableOpacity
      style={[
        tw.style('w-full flex flex-row justify-between rounded-md p-3 mt-6'),
        {
          borderWidth: 1,
          borderColor: borderColor,
          backgroundColor: backgroundColor,
        },
      ]}>
      <Image source={icon} style={{width: 30, height: 30, margin : 4}} />
      <View style={tw.style('flex flex-col items-start flex-1 ml-2')}>
        <Text
          style={[
            tw.style('fontt-bold mb-1'),
            {fontSize: width / 28, color: titleColor},
          ]}>
          {title}
        </Text>
        <Text
          style={[
            tw.style('font-light text-left'),
            {fontSize: width / 34, color: textColor},
          ]}>
          {text}
        </Text>
      </View>
    </TouchableOpacity>
  );
}
