import React from 'react';
import {View, Text, Dimensions} from 'react-native';
import LinearGradient from 'react-native-linear-gradient';
import tw from 'tailwind-react-native-classnames';
import {connect} from 'react-redux';
import Video from '../../../components/Video';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function Header() {
  return (
    <View
      style={[tw.style('w-full px-2 relative'), {marginBottom: height / 6.5}]}>
      <LinearGradient
        start={{x: 0.0, y: 0.0}}
        end={{x: 1.0, y: 1.0}}
        locations={[0, 0.5, 0.9, 1]}
        colors={['#93B0FF35', '#B7C7F285', '#43CFE335', '#E2ECE995']}
        style={[
          tw.style('w-full rounded-md flex justify-center items-center'),
          {height: height / 2.7},
        ]}>
        <Text
          style={[
            tw.style('font-bold text-center'),
            {
              fontSize: width / 20,
              color: '#08345F',
              transform: [{translateY: -40}],
            },
          ]}>
          {'یادگیری با طعم لذت' +
            '\n' +
            'از اول تا یازدهم در کنارتونیم' +
            '\n' +
            'یادگیری جذاب و تعاملی'}
        </Text>
      </LinearGradient>
      <View
        style={[
          tw.style(
            'w-full overflow-hidden rounded-md absolute bottom-0 left-0 px-2',
          ),
          {
            height: height / 3.5,
            transform: [
              {translateY: height / 8.4},
              {translateX: -8},
            ],
          },
        ]}>
        {/* <Video /> */}
      </View>
    </View>
  );
}
