import React from 'react';
import {View, Text, Dimensions, ImageBackground} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import {connect} from 'react-redux';
import bgImage from '../assets/responsive-bg.png';
import _ from 'lodash';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function Resposive({}) {
  return (
    <View style={tw.style('w-full px-4')}>
      <ImageBackground
        source={bgImage}
        resizeMode="cover"
        style={tw.style('w-full flex-1 flex flex-col items-center mt-5 pb-10')}>
        <Text
          style={[
            tw.style('font-bold text-center'),
            {fontSize: width / 25, color: '#08345F'},
          ]}>
          {_.join(
            [
              'از طریق موبایل یا کامپیوتر میتونی',
              'به محتوای دیجیتال کتاب‌ها به راحتی',
              ' دسترسی داشته باشی',
            ],
            '\n',
          )}
        </Text>
        <View style={[tw.style('relative w-full mt-3'), {height: height / 3}]}>
          <View
            style={[
              tw.style('rounded-md absolute right-0 bottom-0'),
              {
                minWidth: '85%',
                height: height / 3.5,
                backgroundColor: '#E3E3E3',
              },
            ]}></View>
          <View
            style={[
              tw.style('rounded-md absolute bottom-0 left-0'),
              {minWidth: '20%', height: height / 5, backgroundColor: '#EEEEEE'},
            ]}></View>
        </View>
        <View style={[tw.style('flex flex-row justify-center')]}>
          <Text
            style={[
              tw.style('font-semibold text-center px-2 mt-3'),
              {fontSize: width / 28, color: '#08345F'},
            ]}>
            هر نفسی که فرو می‌ بریم، مرگی را که مدام به ما دست‌ اندازی می‌کند پس
            می‌زند... در نهایت این مرگ است که{' '}
          </Text>
        </View>
      </ImageBackground>
    </View>
  );
}
