import React from 'react';
import {
  View,
  Image,
  Dimensions,
  ScrollView,
  TouchableOpacity,
} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import {connect} from 'react-redux';

import olum1Image from '../assets/olum1.png';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

function Scroll({products}) {
  return (
    <ScrollView horizontal={true}>
      <View
        style={[
          tw.style('w-full flex flex-col flex-wrap pl-3 justify-between mt-3'),
          {height: height / 2.7},
        ]}>
        {products.map((product, index) => (
          <Product
            product={product}
            key={index}
            index={Number(index)}
          />
        ))}
      </View>
    </ScrollView>
  );
}

const Product = ({product, index, navigation}) => {
  return (
    <TouchableOpacity
      style={[
        tw.style('rounded-md mx-1 overflow-hidden rounded-md'),
        {
          width: index === 0 ? height / 4.5 : height / 9,
          height: index === 0 ? '100%' : '48%',
        },
      ]}
      onPress={() => navigation.navigate('Product')}
      >
      <Image
        source={product.imageUrl}
        style={{width: '100%', height: '100%'}}
      />
    </TouchableOpacity>
  );
};

const mapStateToProps = state => ({
  // features: state.publicApi.home?.features,
});
export default connect(mapStateToProps, {})(Scroll);

Scroll.defaultProps = {
  products: [
    {
      imageUrl: olum1Image,
    },
    {
      imageUrl: olum1Image,
    },
    {
      imageUrl: olum1Image,
    },
    {
      imageUrl: olum1Image,
    },
    {
      imageUrl: olum1Image,
    },
    {
      imageUrl: olum1Image,
    },
    {
      imageUrl: olum1Image,
    },
    {
      imageUrl: olum1Image,
    },
  ],
};
