import React from 'react';
import {View, Text, Dimensions, Image} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import _ from 'lodash';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function Book({book}) {
  return (
    <View
      style={[
        tw.style('w-full flex flex-row-reverse justify-between py-3'),
        {borderBottomWidth: 1, borderColor: '#86A0B933'},
      ]}>
      <View style={tw.style('flex flex-row-reverse items-center flex-1')}>
        <Image
          source={book}
          style={[
            tw.style('rounded-md'),
            {width: width / 5.5, height: height / 8},
          ]}
        />
        <View style={tw.style('flex flex-col items-end mr-2')}>
          <Text
            style={[
              tw.style('font-medium'),
              {fontSize: width / 30, color: '#05335F'},
            ]}>
            علوم اجتماعی
          </Text>
          <Text
            style={[
              tw.style('font-medium mt-2'),
              {fontSize: width / 36, color: '#707070'},
            ]}>
            پایه دوم
          </Text>
          <Text
            style={[
              tw.style('font-medium mt-2'),
              {fontSize: width / 36, color: '#707070'},
            ]}>
            نسخه دیجیتال
          </Text>
        </View>
      </View>
      <View style={tw.style('flex flex-row-reverse items-center')}>
        <Text
          style={[
            tw.style('font-medium py-1 px-2'),
            {
              color: '#132F52',
              fontSize: width / 34,
              backgroundColor: '#F1F1F1',
            },
          ]}>
          1
        </Text>
        <Text
          style={[
            tw.style('font-medium mr-3'),
            {color: '#132F52', fontSize: width / 34},
          ]}>
          126.000 تومان
        </Text>
      </View>
    </View>
  );
}
