import React from 'react';
import {View, Text, Dimensions, StyleSheet, ScrollView} from 'react-native';
import Order from './components/Order';
import {connect} from 'react-redux';
import b1Image from './assets/b1.png';
import b2Image from './assets/b2.png';
import b3Image from './assets/b3.png';

const width = Dimensions.get('window').width;

function OrdersFollowUp({orders}) {
  return (
    <ScrollView
      contentContainerStyle={styles.contentContainerStyle}
      style={styles.container}>
      {
        orders.map((order, index) => <Order order={order} key={index} />)
      }
    </ScrollView>
  );
}

const styles = StyleSheet.create({
  contentContainerStyle: {
    paddingBottom: 50,
    alignItems: 'flex-end',
  },
  container: {
    width: width,
    backgroundColor: 'white',
    flexDirection: 'column',
    paddingVertical: 5,
    paddingHorizontal: 10,
  },
});

export default OrdersFollowUp;

OrdersFollowUp.defaultProps = {
  orders: [
    {
      number: '535353523653',
      receiveCode: '300031',
      status: 2,
      items: [b1Image, b2Image, b3Image, b3Image],
      date: '1400/1/12',
      cost: '1.240.000',
    },
    {
      number: '535353523653',
      receiveCode: '300031',
      status: 3,
      items: [b1Image, b2Image, b3Image],
      date: '1400/1/12',
      cost: '1.240.000',
    },
    {
      number: '535353523653',
      receiveCode: '300031',
      status: 4,
      items: [b1Image, b2Image, b3Image],
      date: '1400/1/12',
      cost: '1.240.000',
    },
  ],
};
