import React from 'react';
import {View, Text, ScrollView, Image, Dimensions} from 'react-native';
import tw from 'tailwind-react-native-classnames';

const width = Dimensions.get('window').width;

export default function Commnets({comments}) {
  return (
    <ScrollView horizontal={true} style={{direction: 'rtl', marginTop: 20}}>
      {comments.map((comment, index) => (
        <Comment comment={comment} key={index} />
      ))}
    </ScrollView>
  );
}

const Comment = ({comment}) => {
  return (
    <View
      style={[
        tw.style('flex flex-col rounded-md p-4 ml-2'),
        {width: width / 1.3, borderWidth: 1, borderColor: '#7070701a'},
      ]}>
      <View style={[tw.style('flex flex-row justify-between items-center')]}>
        <View style={tw.style('flex flex-row items-center')}>
          <Image
            source={comment.imageUrl}
            style={[tw.style('rounded-full'), {width: 35, height: 35}]}
          />
          <Text
            style={[
              {fontSize: width / 25, color: '#132F52'},
              tw.style('font-bold'),
            ]}>
            {comment.name}
          </Text>
        </View>
        <View style={tw.style('flex flex-row items-center')}>
          <Text style={{fontSize: width / 38, color: '#196EC0'}}>18:20</Text>
          <View
            style={{
              backgroundColor: '#196EC055',
              height: 12,
              width: 2,
              marginHorizontal: 4,
            }}></View>
          <Text style={{fontSize: width / 38, color: '#196EC0'}}>
            1400/08/19
          </Text>
        </View>
      </View>
      <Text
        style={[
          {fontSize: width / 32, lineHeight: 20, color: '#132F52'},
          tw.style('text-left mt-2'),
        ]}>
        {comment.message}
      </Text>
    </View>
  );
};
