import React from 'react';
import {View, Text, Dimensions, Image} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import arrowMoreIcon from '../assets/arrowMore.png';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function Description({description}) {
  return (
    <View style={[tw.style('w-full flex flex-col pt-6 mt-2 mb-3'), {borderTopWidth : 1, borderColor : '#86A0B944'}]}>
      <View
        style={tw.style('flex flex-row-reverse justify-between items-center mb-2')}>
        <Text
          style={[
            {fontSize: width / 25, color: '#275077'},
            tw.style('semibold'),
          ]}>
          توضیحات
        </Text>
        <Image
          source={arrowMoreIcon}
          style={{width: 12, height: 16, marginRight: 10}}
        />
      </View>
      <Text
        style={[
          tw.style('w-full text-right mt-2'),
          {fontSize: width / 30, color: '#323232bb', lineHeight: 20},
        ]}>
        {description}
      </Text>
    </View>
  );
}
