import React from 'react';
import {View, Text, Dimensions, Image} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import arrowMoreIcon from '../assets/arrowMore.png';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function Description({title, path}) {
  return (
    <View
      style={[
        tw.style('flex flex-row-reverse justify-between items-center mt-3 rounded-md px-5 py-4'),
        {
          backgroundColor: '#50A9FF33'
        }
      ]}>
      <Text
        style={[
          {fontSize: width / 30, color: '#275077'},
          tw.style('semibold'),
        ]}>
        {title}
      </Text>
      <Image
        source={arrowMoreIcon}
        style={{width: 12, height: 16, marginRight: 10}}
      />
    </View>
  );
}
