import React from 'react';
import {View, Text, Dimensions} from 'react-native';
import tw from 'tailwind-react-native-classnames';

const width = Dimensions.get('window').width;

export default function Rates({rates}) {
  return (
    <View style={tw.style('flex flex-row-reverse')}>
      <View
        style={[
          tw.style('flex flex-col items-center justify-center'),
          {width: '25%'},
        ]}>
        <Text
          style={[
            tw.style('font-bold'),
            {fontSize: width / 10, color: '#05335F'},
          ]}>
          {rates.mid}
        </Text>
        <Text style={{fontSize: width / 30, color: '#707070'}}>
          {'از' + ' ' + rates.allRates + ' ' + 'نفر'}
        </Text>
      </View>
      <View style={[tw.style('flex flex-col flex-1'), {width: '60%'}]}>
        {rates.fields.map((field, index) => (
          <Progress key={index} data={field} />
        ))}
      </View>
    </View>
  );
}

const Progress = ({data}) => {
  return (
    <View style={[tw.style('flex flex-1 flex-row items-center py-0.5')]}>
      <Text style={{fontSize: width / 30, color: '#05335F'}}>{data.name}</Text>
      <View
        style={[
          tw.style('rounded-md ml-2 flex-1'),
          {height: 6, backgroundColor: '#D3E9FF'},
        ]}>
        <View
          style={[
            tw.style('h-full rounded-md my-auto'),
            {width: data.value + '%', backgroundColor: '#2B8DEB'},
          ]}></View>
      </View>
      <Text
        style={{
          fontSize: width / 30,
          width: width / 7.5,
          textAlign: 'center',
          color: '#05335F',
        }}>
        {data.value + '%'}
      </Text>
    </View>
  );
};
