import React from 'react';
import {View, Image, Text, Dimensions} from 'react-native';
import tw from 'tailwind-react-native-classnames';
const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

function Book({
  item = {
    name: 'ریاضی',
    price: '145.000 تومان',
    grade : '4',
    imageUrl: 'https://dnvn.ir/api/v1/file/2105',
  },
}) {
  return (
    <View
      style={[
        {
          width: width / 2 - 20,
          // shadowColor : "#000",
          // shadowOffset : {width : 0,  height : 2},
          // shadowRadius : 20,
          // shadowOpacity : 1,
          marginBottom: 15,
          borderWidth: 1,
          borderColor: '#ddd',
        },
        tw.style('flex flex-col items-end p-2 rounded-md'),
      ]}>
      <Image
        source={{uri: item.imageUrl}}
        style={[tw.style('w-full rounded-md'), {height: height / 3.8}]}
      />
      <Text style={{fontSize: width / 22, marginTop: 5, color: '#05335F'}}>
        {item.name}
      </Text>
      <Text style={{ color : "#196EC0", fontSize : width / 32, marginTop : 5}}>{'پایه' + ' ' + item.grade }</Text>
      <Text style={[tw.style('w-full text-center font-semibold'), {marginTop : 10, color : "#132F52"}]}>{item.price}</Text>
    </View>
  );
}

export default Book;
