import React from 'react';
import {View, Image, Text, Dimensions} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import posterImage from '../assets/poster.png';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

function Video({
  item = {
    name: 'ریاضی',
    price: '145.000 تومان',
    grade: '4',
    imageUrl: 'https://dnvn.ir/api/v1/file/2105',
    poster: posterImage,
  },
}) {
  return (
    <View
      style={[
        {
          // shadowColor : "#000",
          // shadowOffset : {width : 0,  height : 2},
          // shadowRadius : 20,
          // shadowOpacity : 1,
          marginBottom: 15,
          borderWidth: 1,
          borderColor: '#ddd',
        },
        tw.style('w-full flex flex-col items-end p-2 rounded-md'),
      ]}>
      <View
        style={[
          tw.style(
            'w-full flex flex-row flex-1 justify-between items-center relative overflow-hidden',
          ),
          {height: height / 3.8},
        ]}>
        {/* <View
          style={[
            tw.style('rounded-full bg-black bg-opacity-20 z-50'),
            {width: 50, height: 50},
          ]}></View> */}
        <Image
          source={item.poster}
          style={tw.style('w-full h-full absolute left-0 top-0')}
        />
        <Image
          source={{uri: item.imageUrl}}
          style={[
            tw.style('rounded-md h-full absolute left-2 bottom-2 rounded-md'),
            {width: width / 5, height: height / 7},
          ]}
        />
      </View>
      <Text style={{fontSize: width / 22, marginTop: 5, color: '#05335F'}}>
        {item.name}
      </Text>

      <View
        style={tw.style('w-full flex flex-row justify-between items-center')}>
        <Text
          style={[
            tw.style('font-semibold'),
            {marginTop: 10, color: '#132F52'},
          ]}>
          {item.price}
        </Text>
        <Text style={{color: '#196EC0', fontSize: width / 32, marginTop: 5}}>
          {'پایه' + ' ' + item.grade}
        </Text>
      </View>
    </View>
  );
}

export default Video;
