import React from 'react';
import {View, Text, Image, Pressable} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import linkIcon from '../../../assets/icons/link.png';

export default function Links({links}) {
  return (
    <View
      style={tw.style(
        'w-full flex-row-reverse justify-between items-center rounded-md bg-yellow-100 py-3 px-2 mt-5',
      )}>
      <View style={tw.style('flex flex-col items-end')}>
        <Text>لینک ها</Text>
        {links.map((link, i) => (
          <Pressable style={tw.style('')} key={i}>
            <Text>{link}</Text>
          </Pressable>
        ))}
      </View>
      <Image source={linkIcon} style={{width: 45, height: 50}} />
    </View>
  );
}
