import React from 'react';
import {View, Text, ScrollView, SafeAreaView, Image} from 'react-native';
import tw from 'tailwind-react-native-classnames';


export default function Content({data}) {
  return (
    <SafeAreaView>
      <ScrollView>
        <View style={tw.style('flex flex-1 flex-col px-3')}>
          <View
            style={tw.style('flex w-full flex-row-reverse justify-between')}>
            <View style={tw.style('flex flex-row-reverse')}>
              <Image
                source={{uri: 'https://dnvn.ir/api/v1/file/2094'}}
                style={{width: 80, height: 120}}
              />
              <View style={tw.style('flex flex-column items-end')}>
                <Text>{data.name}</Text>
                <Text>{data.grade}</Text>
                <Text>{`شما در حال مشاهده `}</Text>
              </View>
            </View>
            {/* <Image source={} /> */}
          </View>
        </View>
      </ScrollView>
    </SafeAreaView>
  );
}

Content.defaultProps = {
  data: {
    name: 'ریاضیات گسسته خیلی پیشرفته',
    grade: 'پایه هفتم ابتدایی',
    page: '67',
    percent: '62',
    voice: null,
    video: null,
    pdf: null,
    ppt: null,
    links: null,
  },
};
