import React from 'react';
import {View, Text, Pressable, TextInput, Dimensions} from 'react-native';
import tw from 'tailwind-react-native-classnames';
const width = Dimensions.get('window').width;

export default function Code({}) {
  return (
    <View
      style={tw.style('flex w-full flex-col items-end mt-5 overflow-hidden')}>
      <View
        style={tw.style(
          'flex w-full flex-row-reverse border border-blue-300 rounded-md mt-3',
        )}>
        <TextInput
          style={[
            tw.style('border-0 flex-1 text-right pr-4 font-medium'),
            {fontSize: width / 27},
          ]}
          placeholder={'کد تخفیف دارید ؟'}
          placeholderTextColor="#707070"
        />
        <Pressable
          style={[
            tw.style('py-4 px-5'),
            {
              backgroundColor: '#196EC0',
              borderTopLeftRadius: 5,
              borderBottomLeftRadius: 5,
            },
          ]}>
          <Text style={[tw.style('text-white'), {fontSize: width / 25}]}>ثبت کد</Text>
        </Pressable>
      </View>
    </View>
  );
}
