import React from 'react';
import {View, Text, Image, Dimensions, Pressable} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import bookImage from '../assets/book.png';
import deleteIcon from '../assets/delete.png';
import plusIcon from '../assets/+.png';
import minus from '../assets/_.png';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function Product({product}) {
  return (
    <View
      style={[
        tw.style('flex flex-row justify-between py-5'),
        {borderBottomWidth: 1, borderColor: '#7070701a', direction: 'rtl'},
      ]}>
      <View style={tw.style('flex flex-row')}>
        <Image
          source={bookImage}
          style={[
            tw.style('rounded-md'),
            {width: width / 4, height: height / 6},
          ]}
        />
        <View style={tw.style('flex flex-col items-start pl-2')}>
          <Text
            style={{fontsize: width / 20, color: '#05335F', marginBottom: 5}}>
            علوم اجتماعی
          </Text>
          <Text
            style={{fontSize: width / 30, color: '#707070', marginBottom: 5}}>
            پایه دوم
          </Text>
          <Text style={{fontSize: width / 30, color: '#707070'}}>
            نسخه فیزیکی
          </Text>
        </View>
      </View>
      <View style={tw.style('flex flex-col justify-between items-end')}>
        <Image source={deleteIcon} style={{width: 17, height: 17}} />
        <View style={tw.style('flex flex-col items-center')}>
          <View style={tw.style('flex flex-row items-center mb-3')}>
            <Pressable
              style={[
                tw.style(
                  'rounded-sm py-1 px-2.5 flex flex-row justify-center items-center border',
                ),
                {
                  borderColor: '#196EC0',
                },
              ]}>
              <Text style={{fontSize: width / 20, color: '#196EC0'}}>+</Text>
            </Pressable>
            <Text
              style={[
                tw.style('mx-2.5 font-semibold'),
                {
                  fontSize: width / 20,
                  color: '#196EC0',
                },
              ]}>
              1
            </Text>
            <Pressable
              style={[
                tw.style(
                  'rounded-sm py-1 px-2.5 flex flex-row justify-center items-center border',
                ),
                {
                  borderColor: '#DBDBDB',
                },
              ]}>
              <Text
                style={{
                  fontSize: width / 18,
                  color: '#DBDBDB',
                }}>
                -
              </Text>
            </Pressable>
          </View>
          <Text style={[tw.style('font-bold', {fontSize: width / 20})]}>
            145.000
          </Text>
        </View>
      </View>
    </View>
  );
}
