import React, {useEffect} from 'react'
import {View, Text, Image, ActivityIndicator, Dimensions} from 'react-native';
import {connect} from 'react-redux';
import Logo from '../../assets/images/logo.png';

const {width, height} = Dimensions.get('window');

const mapStateToProps = state => {
  return {
    profile: state.profile
  }
}

function Splash({navigation, profile}) {

  useEffect(() => {
    setTimeout(() => {
      !profile.accessToken ? navigation.reset({
        index: 0,
        routes: [{ name: 'Login' }],
      }) : navigation.reset({
        index: 0,
        routes: [{ name: 'Home' }],
      })
    }, 2000)
  }, [profile])

  return (
    <View style={{justifyContent: 'center', alignItems: 'center', flex: 1}}>
      <Image source={Logo} style={{
        width: width * 0.7,
        height: width * 0.7 / 2.09,
      }} />
      <ActivityIndicator size={'large'} style={{marginTop: 20}}/>
    </View>
  )
}

export default connect(mapStateToProps)(Splash);
