import React from 'react';
import {View, Text, Dimensions, Image} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import addressIcon from '../assets/address.png';
import leftGreenIcon from '../assets/leftBlue.png';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function Address() {
  return (
    <View
      style={[
        tw.style('w-full flex flex-row-reverse p-4 rounded-md mb-4'),
        {backgroundColor: '#5FFFE94f'},
      ]}>
      <View style={tw.style('p-3')}>
        <Image source={addressIcon} style={{width: 43, height: 43}} />
      </View>
      <View style={tw.style('flex-1 flex flex-col')}>
        <Text
          style={[
            tw.style('font-bold mb-1 text-right'),
            {fontSize: width / 24, color: '#0EAD98'},
          ]}>
          نشانی
        </Text>
        <Text
          style={[
            tw.style('font-light mb-3'),
            {fontSize: width / 30, color: '#066A5C'},
          ]}>
          هنشانی دفتر مرکزی: تهران میدان فردوسی خیابان عباس موسوی پلاک 30
        </Text>
        <View
          style={tw.style(
            'flex flex-row justify-start items-center text-right',
          )}>
          <Image source={leftGreenIcon} style={{width: 11, height: 11}} />
          <Text
            style={[
              tw.style('font-medium'),
              {color: '#0A7769', fontSize: width / 32},
            ]}>
            لیست نمایندگی‌های فروش
          </Text>
        </View>
      </View>
    </View>
  );
}
