import React from 'react';
import {View, Text, Dimensions, Image} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import callIcon from '../assets/callGreen.png';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function Address() {
  return (
    <View
      style={[
        tw.style('w-full flex flex-row-reverse p-4 rounded-md mb-5'),
        {backgroundColor: '#69FF5F2f'},
      ]}>
      <View style={tw.style('p-3')}>
        <Image source={callIcon} style={{width: 43, height: 43}} />
      </View>
      <View style={tw.style('flex-1 flex flex-col')}>
        <Text
          style={[
            tw.style('font-bold mb-1 text-right'),
            {fontSize: width / 24, color: '#06A02A'},
          ]}>
          شماره تماس
        </Text>
        <Text
          style={[
            tw.style('font-light mb-3'),
            {fontSize: width / 30, color: '#025816'},
          ]}>
          در صورت هرگونه سوال شما می‌توانید در ساعات اداری 9 الی 17 با شماره
          021۸۸۸۱۴۶۳۷ تماس حاصل فرمایید{' '}
        </Text>
      </View>
    </View>
  );
}
