import React from 'react';
import {View, Text, Dimensions, Image} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import chatIcon from '../assets/chat.png';
import leftYellowIcon from '../assets/leftYellow.png';

const width = Dimensions.get('window').width;
const height = Dimensions.get('window').height;

export default function OnlineSupport() {
  return (
    <View
      style={[
        tw.style('w-full flex flex-row-reverse p-4 rounded-md mb-4'),
        {backgroundColor: '#D3B7021f'},
      ]}>
      <View style={tw.style('p-3')}>
        <Image source={chatIcon} style={{width: 43, height: 43}} />
      </View>
      <View style={tw.style('flex-1 flex flex-col')}>
        <Text
          style={[
            tw.style('font-bold mb-1 text-right'),
            {fontSize: width / 24, color: '#D3B702'},
          ]}>
          پشتیبانی آنلاین
        </Text>
        <Text
          style={[
            tw.style('font-light mb-3'),
            {fontSize: width / 30, color: '#766600'},
          ]}>
          همکاران ما در قسمت فروش و پشتیبانی، پاسخگوی شما هستند هر سوالی در مورد
          کتاب‌های ما داشتید بپرسید
        </Text>
        <View style={tw.style('flex flex-row justify-start items-center text-right')}>
          <Image source={leftYellowIcon} style={{width: 11, height: 11}} />
          <Text style={[ tw.style('font-medium') , {color: '#766600', fontSize: width / 32}]}>
            ارتباط با بخش پشتیبانی
          </Text>
        </View>
      </View>
    </View>
  );
}
