import React, {useState} from 'react';
import {View, StyleSheet, Dimensions, ScrollView, Text} from 'react-native';
import tw from 'tailwind-react-native-classnames';
import Header from '../../components/Header';
import OnlineSupport from './components/OnlineSupport';
import Address from './components/Address';
import Call from './components/Call';
import Redirect from '../../components/Redirect';
import bgContact from './assets/bgContact.png';
import callIcon from './assets/call.png';

const width = Dimensions.get('window').width;

function Support(props) {
  const [formData, setFormData] = useState({
    title: null,
    department: null,
    message: null,
    file: null,
  });

  const onChange = (name, value) => {
    setFormData({...formData, [name]: value});
  };

  return (
    <ScrollView
      contentContainerStyle={styles.contentContainerStyle}
      style={[tw.style('bg-white flex flex-col'), {width: width}]}>
      <Header
        background={bgContact}
        title={'تماس با ما'}
        description={'تیم پشتیبانی ما اینجاست تا شما رو کمک کنه'}
        icon={callIcon}
      />
      <View style={styles.container}>
        <OnlineSupport />
        <Call />
        <Address />
        <Redirect
          text="دشاید سوالی که بدنبال آن هستید را در قسمت پرسش‌های متداول بتوانید پیدا
          کنید"
        />
      </View>
    </ScrollView>
  );
}

// Later on in your styles..
const styles = StyleSheet.create({
  contentContainerStyle: {
    paddingBottom: 50,
    alignItems: 'flex-end',
  },
  container: {
    width: Dimensions.get('window').width,
    backgroundColor: 'white',
    flexDirection: 'column',
    paddingVertical: 5,
    paddingHorizontal: 10,
  },
});

export default Support;
